Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1
  • 2

TOPIC:

upgrade / downgrade... 2 years 4 months ago #25216

Hi,

I am migrating from an old 1.5 Joomla site with Eventlist to a Joomla 3 site with JEM

I already imported some EventList stuff (EventList tables into JEM) but as told here I had to use an old version :

Short version
If you come from Joomla 2.5.28 with EL 1.0.2, then you can not import to JEM using "Eventlist import" in JEM 2.2.2 (at least it failed for me). However, using JEM 2.1.6 to do the import worked.


Now, as the migration takes some time, I'd need to update the events content. But I am wondering how I could do that:
- Eventlist import process don't allow to import content in JEM tables which have already a content. I have to empty them first.
- downgrade to JEM 2.1.6 (but how ???) and then update
- Also, as I use "Simple Responsive JEM Event Page", I am wondering if it could interfere it in this process
- I have some overrides too...

It looks like a risky business this import...
Any advise?

Thank you!
Paul

Please Log in or Create an account to join the conversation.

Last edit: by Mister PAul.

upgrade / downgrade... 2 years 2 months ago #25280

OK I'll do it simpler!
;)

I need to downgrade a 2.2.3 version of JEM to the 2.1.6 version that is compatible with the Eventlist data import. Then I'll update it again to 2.2.3

- Do I have to unistall JEM first ? (and then install 2.1.6 version)
- May I simply install the 2.1.6 version on the 2.2.3 version?

Thanks for your help
Paul

Please Log in or Create an account to join the conversation.

upgrade / downgrade... 2 years 2 months ago #25282

  • Egnarts
  • Egnarts's Avatar
  • Offline
  • Gold Boarder
  • Gold Boarder
  • Posts: 272
  • Karma: -3
  • Thank you received: 114
Sorry, I have no experience on downgrading JEM.
But why don't you do a backup of your site, upload it on a local/other webspace and test it?
Then you can share your experience with us.
Take a look at the responsive version of JEM: The Responsive JEM

Please Log in or Create an account to join the conversation.

upgrade / downgrade... 2 years 2 months ago #25285

Finally I took the longer way :
- removed everything from JEM (componentn plugins, modules)
- reinstall 2.1.6 version
- deleted all JEM data from component
- imported Eventlist tables (previously exported)
- update JEM to 2.2.3 version
- installed plugins (plg_tagjem, langage packages, …)
- rename correctly the JEM override folder containing, Responsive JEM and my overrides. I renamed it by pure paranoïa wondering if it would have been deleted by JEM uninstall)
- reimport with phpMyAdmin the sitecvr_jem_config.sql table previously exported.
- add to reset categories color
- republish menu items related to JEM that were unpished dureg JEM uninstall
- recreate the JEM basic module showing coming events

That almost all…
But next time sure I’ll try to remove only the component!
Because unfortunately I have to do it again for the final import.

By the way I add an error during update process (see image)
« Duplicate column name ‘unregistra_until’ »

Attachments:

Please Log in or Create an account to join the conversation.

upgrade / downgrade... 2 years 2 months ago #25293

  • jojo12
  • jojo12's Avatar
  • Offline
  • Moderator
  • Moderator
  • Posts: 3296
  • Karma: 45
  • Thank you received: 357
I am trying to remember.. because Joomla 1.5 was long long time ago.
Jonasbang wrote about updating from Eventlist 1.0.2 in Joomla! 2.5.28.

First question is: are you on Eventlist 1.0.2 or 1.0.1 or 1.1.
If you are on 1.0.1 you first have to upgrade to Eventslist 1.0.2 on Joomla 2.5.28.
If you are on eventlist 1.1, If I remember right, then you have no chance to upgrade to eventlist 1.0.2.

Then you can try the way of Jonasbang.

There must have been a point to upgrade, but somehow you missed it.
on JEM 2.3.0 stable in latest Joomla (3.9.22) Protostar php7.4.5

Please Log in or Create an account to join the conversation.

Last edit: by jojo12.

upgrade / downgrade... 2 years 2 months ago #25294

I imported the Eventlist stuff as Jonasbang said. So I had to downgrade from JEM 2.2.2 to 2.1.6

I'll have to do it again for the final migration of the site.
Now I am developping it...
;)

Please Log in or Create an account to join the conversation.

  • Page:
  • 1
  • 2
Time to create page: 0.306 seconds

Donate

If you find JEM useful and if you use it on your site, please consider a donation to the project.

Private Messages

You are not logged in.

Follow us......